tbb::internal::concurrent_vector_base_v3::helper::safe_init_body Struct Reference
Collaboration diagram for tbb::internal::concurrent_vector_base_v3::helper::safe_init_body:

## Public Member Functions

| safe_init_body (internal_array_op2 init, const void *src)
void | operator() (segment_t &s, void *begin, size_type n) const

## Public Attributes

internal_array_op2 | func
const void * | arg

## Detailed Description

Definition at line 177 of file concurrent_vector.cpp.

## Constructor & Destructor Documentation

## safe_init_body()

tbb::internal::concurrent_vector_base_v3::helper::safe_init_body::safe_init_body | ( | internal_array_op2 | init,
|  | const void * | src
| ) |  |

inline

Definition at line 180 of file concurrent_vector.cpp.

: func(init), arg(src) {}

## Member Function Documentation

## operator()()

void tbb::internal::concurrent_vector_base_v3::helper::safe_init_body::operator() | ( | segment_t & | s,
|  | void * | begin,
|  | size_type | n
| ) |  | const

inline

Definition at line 181 of file concurrent_vector.cpp.

{
enforce_segment_allocated(s.load<relaxed>());
func( begin, arg, n );
}

References arg, begin, tbb::internal::concurrent_vector_base_v3::enforce_segment_allocated, func, tbb::relaxed, and s.

## Member Data Documentation

## arg

const void* tbb::internal::concurrent_vector_base_v3::helper::safe_init_body::arg

Definition at line 179 of file concurrent_vector.cpp.

Referenced by operator()().

## func

internal_array_op2 tbb::internal::concurrent_vector_base_v3::helper::safe_init_body::func

Definition at line 178 of file concurrent_vector.cpp.

Referenced by operator()().

The documentation for this struct was generated from the following file:

- concurrent_vector.cpp

tbb::relaxed
No ordering.
Definition: atomic.h:61
begin
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task __itt_model_task_instance ITT_FORMAT p void ITT_FORMAT p void ITT_FORMAT p void size_t ITT_FORMAT d void ITT_FORMAT p const wchar_t ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s no args void ITT_FORMAT p size_t ITT_FORMAT d no args const wchar_t const wchar_t ITT_FORMAT s __itt_heap_function void size_t int ITT_FORMAT d __itt_heap_function void ITT_FORMAT p __itt_heap_function void void size_t int ITT_FORMAT d no args no args unsigned int ITT_FORMAT u const __itt_domain __itt_id ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain __itt_id ITT_FORMAT p const __itt_domain __itt_id __itt_timestamp begin
Definition: ittnotify_static.h:182
tbb::internal::concurrent_vector_base_v3::enforce_segment_allocated
friend void enforce_segment_allocated(segment_value_t const &s, internal::exception_id exception=eid_bad_last_alloc)
Definition: concurrent_vector.h:121
s
void const char const char int ITT_FORMAT __itt_group_sync s
Definition: ittnotify_static.h:91
tbb::internal::concurrent_vector_base_v3::helper::safe_init_body::arg
const void * arg
Definition: concurrent_vector.cpp:179
tbb::internal::concurrent_vector_base_v3::helper::safe_init_body::func
internal_array_op2 func
Definition: concurrent_vector.cpp:178

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.